aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorjasper@unix.geek.nz <jasper@unix.geek.nz@767c508d-d83b-0410-8cff-fd39cd899a2f>2008-05-25 05:33:27 +0000
committerjasper@unix.geek.nz <jasper@unix.geek.nz@767c508d-d83b-0410-8cff-fd39cd899a2f>2008-05-25 05:33:27 +0000
commit0f975bc96af12bb74af463d49c58e5004a53c917 (patch)
tree8eedcfbb86fde4512c514a337290916d2b2637e1
parent9fff790939c2e456f1c176a8a8b97e4f991672b1 (diff)
downloadjuniper-browser-0f975bc96af12bb74af463d49c58e5004a53c917.tar.gz
juniper-browser-0f975bc96af12bb74af463d49c58e5004a53c917.tar.bz2
juniper-browser-0f975bc96af12bb74af463d49c58e5004a53c917.zip
Packaging fixes
-rw-r--r--debian-control2
-rwxr-xr-xpackage.sh9
2 files changed, 8 insertions, 3 deletions
diff --git a/debian-control b/debian-control
index cb435c0..9face23 100644
--- a/debian-control
+++ b/debian-control
@@ -1,5 +1,5 @@
Package: juniper
-Version: 0.REVISION
+Version: VERSION
Architecture: ARCH
Maintainer: Jasper Bryant-Greene <jasper@unix.geek.nz>
Description: A lightweight GTK+ browser using the WebKit rendering engine.
diff --git a/package.sh b/package.sh
index 149c11d..209ccd3 100755
--- a/package.sh
+++ b/package.sh
@@ -3,16 +3,21 @@
set -e
set -x
+test debian-control || exit
+
REVISION=$(svn info | grep Revision | awk '{ print $2; }')
+
+VERSION="0~svn$REVISION"
ARCH=$(uname -m)
mkdir -p tmp
cd tmp
mkdir DEBIAN
+chmod 755 DEBIAN
cd DEBIAN
-cat ../../debian-control | sed "s/REVISION/$REVISION/" | sed "s/ARCH/$ARCH/" > control
+cat ../../debian-control | sed "s/VERSION/$VERSION/" | sed "s/ARCH/$ARCH/" > control
cd ..
@@ -22,5 +27,5 @@ cp ../juniper.glade usr/share/juniper
cd ..
-dpkg-deb -b tmp juniper-0.$REVISION.deb
+dpkg-deb -b tmp juniper-$VERSION.deb
rm -rf tmp